Wizards in IDEA

Hello,

I don't knew if someone missed Wizards support in project creation in IDEA,
but i realy miss it. For example then i need to create new project for
plugin, i must prepare project template manualy.
WizardPlugin have been creating for last week. Already doned very simple New
Project wizard, but i need some expertise from others who might be used
Wizard plugin. Review or recomendation will be very helpfull for me now.

Ok, i stop to flame speach, and wait for any word from other developers :).
Any ideas and any criticisms are welcome and very needed.

http://www.intellij.org/twiki/bin/view/Main/WizardPlugin

With best regards,
Alexey


3 comments
Comment actions Permalink

I tried installing the WizardPlugin by copying the 'wizard' directory into my plugins directory since it isn't listed on the automated list. Can this be installed on 4.5.3? Is there something that replaced it? I really want a standard plugin project so I can make plugins without all the hassle.

0
Comment actions Permalink

Here is the current problem I think:

ERROR - ij.components.ComponentManager - Component class org.intellij.wizard.WizardManager is being requested during its own initializing procedure
java.lang.Throwable
at com.intellij.openapi.diagnostic.Logger.error(Logger.java:61)
at com.intellij.openapi.b.a.a.b(a.java:165)
at com.intellij.openapi.b.a.a.getComponent(a.java:85)
at com.intellij.openapi.b.a.a.getComponent(a.java:60)
at com.intellij.openapi.b.a.a.a(a.java:148)
at com.intellij.openapi.b.a.a.m(a.java:3)
at com.intellij.openapi.o.b.c.g(c.java:190)
at com.intellij.openapi.o.b.c$2.run(c$2.java:3)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:171)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:454)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:234)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:184)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:178)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:170)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:100)

0
Comment actions Permalink

Hello Sam,

SP> I tried installing the WizardPlugin by copying the 'wizard'
SP> directory into my plugins directory since it isn't listed on the
SP> automated list. Can this be installed on 4.5.3? Is there something
SP> that replaced it? I really want a standard plugin project so I can
SP> make plugins without all the hassle.

Hello, this is a depricated plugin. In Irrida you may found Plugin Project
build-in wizard.
This plugin work only on 4.0, in 4.5 it not supported.

If you like to use ANT script from this plugin, look here:
http://www.intellij.org/twiki/bin/view/Main/PluginANTScript

Thanks!
--
Alexey Efimov, Java Developer
Tops BI
http://www.topsbi.ru

0

Please sign in to leave a comment.